%testDSDP


display('Testing small model (old version)')
load debug_dsdp_4
[stat,y,X]=dsdp(b,AC);
if abs(b'*y-fval)>1e-4
    error(sprintf('Wrong optimal value obtained from DSDP: %d instead of %d',b'*y,fval));
else
    display('Small model solved accurately');
end;

if 1==0
    %this is the old model
display('Testing large model without verification of solution')
load debug_dsdp_32
[stat,y,X]=dsdp(b,AC);
end;

display('Testing new large model')
load debug_dsdp2_32
time1=cputime;
[stat,y,X]=dsdp(b2,AAC2); time1=cputime-time1;
if abs(b2'*y-fval)>1e-4
    error(sprintf('Wrong optimal value obtained from DSDP: %d instead of %d',b'*y,fval));
else
    display(sprintf('Large model solved accurately in %d min',cputime/60));
end;

