#include "dsdpvec.h"
#if !defined(__DSDP_CG_H) 
#define __DSDP_CG_H
/*!
  \file dsdpcg.h
  \brief Internal data structure for CG method.
*/
typedef struct{

  int64    setup2;
  int64    m;

  DSDPVec    Diag;
  DSDPVec    RHS2;
  DSDPVec    R;
  DSDPVec    BR;
  DSDPVec    P;

  DSDPVec    BP;
  DSDPVec    TTT;

} DSDPCG;


#ifdef __cplusplus
extern "C" {
#endif
int64 DSDPCGSetup(DSDPCG*, DSDPVec);
int64 DSDPCGDestroy(DSDPCG**);
int64 DSDPCGInitialize(DSDPCG **);
#ifdef __cplusplus
}
#endif

#endif
